Bug 952428 - Grubby needs a small patch to work with the new ARM bootloader generator (arm-boot-config)
Grubby needs a small patch to work with the new ARM bootloader generator (arm...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
19
arm Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-04-15 19:56 EDT by Brendan Conoboy
Modified: 2015-02-18 06:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:11:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Have new-kernel-pkg call /sbin/gru-boot if available when a kernel is installed or removed. (727 bytes, patch)
2013-04-15 19:56 EDT, Brendan Conoboy
no flags Details | Diff
Patch to conditionally call arm-boot-config if it is available. (667 bytes, patch)
2013-05-09 20:21 EDT, Brendan Conoboy
no flags Details | Diff
Conditionally call arm-boot-config if it is available. (973 bytes, patch)
2013-05-10 14:58 EDT, Brendan Conoboy
no flags Details | Diff

  None (edit)
Description Brendan Conoboy 2013-04-15 19:56:30 EDT
Created attachment 736101 [details]
Have new-kernel-pkg call /sbin/gru-boot if available when a kernel is installed or removed.

Description of problem:

Starting with Fedora 19 we will be using a new package that dynamically generates a boot.scr based on the kernels installed on the system.  The generator needs to be called every time a kernel is installed or removed.  The attached patch will conditionally call the generation program if it is available.  This should be applied to both F19 and Rawhide.  Patch is against grubby 8.25.
Comment 1 Brendan Conoboy 2013-05-09 20:21:29 EDT
Created attachment 745850 [details]
Patch to conditionally call arm-boot-config if it is available.

This is a revised patch that reflects the renaming from gru-boot to a-b-c.
Comment 2 Brendan Conoboy 2013-05-10 14:58:44 EDT
Created attachment 746337 [details]
Conditionally call arm-boot-config if it is available.

Revised and foramtted with git-format-patch.
Comment 3 Fedora End Of Life 2015-01-09 17:33:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-18 06:11:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.